; Reminder 1.2
; AutoHotkey Version: 1.x
; Language:       English
; Platform:       Win9x/NT
; Author:         Jack Dunning <ceeditor@computoredge.com>
;
; Script Function:
;	This version adds the EnvSub time calculation and Speech capability
;

#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.



^#R::



Gui, Font, s12, Arial

Gui, Add, Text,, 1. Select time`n2. Add note`n3. Submit`n4. Close popup

Gui, Add, DateTime, vMyTime w150 1, hh:mm tt

Gui, Add, Edit, vMyNote w250, Remind Me!

Gui, Add, Button, Default, Submit

Gui, Show,  , Reminder

Return



ButtonSubmit:

Gui, Submit, NoHide

NewTime := MyTime



If (MyTime > A_Now)

  {

    EnvSub, NewTime, A_Now, s

    FormatTime, Schedule, %MyTime%

    MsgBox,4160,Your Reminder, "%MyNote%" is scheduled for`n%Schedule%



    #Persistent

    RemMessage := "Better get going!"

    SetTimer, ShowReminder, % newtime*1000

  }

Else

  {

    EnvSub, NewTime, A_Now, s

    NewTime := NewTime + 86400



    FormatTime, Schedule, %MyTime%, h:mmtt

    MsgBox,4160,Your Reminder, "%MyNote%" is scheduled for`nTomorrow at %Schedule%

    #Persistent

    RemMessage := "Better get going!"

    SetTimer, ShowReminder, % newtime*1000

    }

Return



GuiClose:

Gui, Destroy

Return



ShowReminder:

FormatTime, RightNow

#persistent

SetTimer, TalkToMe, 15000



MsgBox,4160,Your Reminder!, %MyNote% %RemMessage%`n%RightNow%

SetTimer, ShowReminder, Off

 

IfMsgBox, OK

   SetTimer, TalkToMe, Off

return



TalkToMe:

run, nircmd.exe speak text "%MyNote% %RemMessage%"

Return
